package com.eactive.eai.rms.onl.manage.adapter.socketport;

import java.util.HashMap;
import java.util.List;

import org.springframework.stereotype.Repository;

import com.eactive.eai.rms.common.base.SqlMapClientForMonitoringTemplateDao;

@Repository("socketPortDao")
public class SocketPortDao extends SqlMapClientForMonitoringTemplateDao {

	public List selectAllList(HashMap param) throws Exception {
		return template.queryForList("SocketPort.selectAllList", param);
	}

	public HashMap selectDetail(HashMap param) throws Exception {
		return (HashMap) template.queryForObject("SocketPort.selectDetail", param);
	}

	public List selectPortList(HashMap param) throws Exception {
		return template.queryForList("SocketPort.selectPortList", param);
	}

	public List selectInitPort(HashMap param) throws Exception {
		return template.queryForList("SocketPort.selectInitPort", param);
	}

	public void insert(HashMap paramMap) throws Exception {
		this.template.insert("SocketPort.insert", paramMap);
	}

	public int selectPortdupChk(HashMap param) throws Exception {
		return (Integer) template.queryForObject("SocketPort.selectPortdupChk", param);
	}

	public void update(HashMap paramMap) throws Exception {
		this.template.update("SocketPort.update", paramMap);
	}

	public void delete(HashMap paramMap) throws Exception {
		this.template.insert("SocketPort.delete", paramMap);
	}

	public List selectListToExcel(HashMap param) throws Exception {
		return template.queryForList("SocketPort.selectListToExcel", param);
	}

}
